Subject: [tcpm] WGLC for draft-ietf-tcpm-dctcp-04

From: "Scharf, Michael (Nokia - DE)" <[email-masked]>
Date: Tue, 14 Feb 2017 16:31:55 +0000

Hi,

TCPM chairs are not aware of outstanding issues in draft-ietf-tcpm-dctcp-04 "Datacenter TCP (DCTCP): TCP Congestion Control for Datacenters".

Therefore, this e-mail starts a working group last call for draft-ietf-tcpm-dctcp-04.

The WGLC runs until Friday March 3. Please send any comments to the TCPM mailing list by then. Statements supporting the publication of the document are also helpful.

We assume that TCPM working group is aware of the IPR disclosure related to draft-bensley-tcpm-dctcp-00 (https://datatracker.ietf.org/ipr/2319/). A separate note will be sent out to confirm that all IPR has already been disclosed, in conformance with BCPs 78 and 79.

The draft is available at https://tools.ietf.org/html/draft-ietf-tcpm-dctcp-04

Thanks

Michael

---

From: Yuchung Cheng <[email-masked]>
Date: Tue, 28 Feb 2017 15:03:02 -0800

The wordings on cwnd adjustment in section 3.3 can be more clear:

"""
Rather than always halving the congestion window as described in
   [RFC3168], when the sender receives an indication of congestion
   (ECE), the sender MUST update cwnd as follows:

      cwnd = cwnd * (1 - DCTCP.Alpha / 2)

   Thus, when no sent byte experienced congestion, DCTCP.Alpha equals
   zero, and cwnd is left unchanged.  When all sent bytes experienced
   congestion, DCTCP.Alpha equals one, and cwnd is reduced by half.
   Lower levels of congestion will result in correspondingly smaller
   reductions to cwnd.
"""

AFAICT DCTCP paper only adjusts cwnd at most every round trip (which is
also how Linux implements it). But the text implies the cwnd reduction can
happen for every ECE mark?

On Tue, Feb 14, 2017 at 8:31 AM, Scharf, Michael (Nokia - DE) <
[email-masked]> wrote:

> Hi,
>
> TCPM chairs are not aware of outstanding issues in
> draft-ietf-tcpm-dctcp-04 "Datacenter TCP (DCTCP): TCP Congestion Control
> for Datacenters".
>
> The WGLC runs until Friday March 3. Please send any comments to the TCPM
> mailing list by then. Statements supporting the publication of the document
> are also helpful.
>
> We assume that TCPM working group is aware of the IPR disclosure related
> to draft-bensley-tcpm-dctcp-00 (https://datatracker.ietf.org/ipr/2319/).
> A separate note will be sent out to confirm that all IPR has already been
> disclosed, in conformance with BCPs 78 and 79.
>
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm
>